# vim: set sw=4 ts=4 et nu:
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define rel_ver 0.8.0

Name:           smplayer2
Version:        20121224+%{rel_ver}
Release:        1.41
License:        GPL-2.0+
Summary:        Video and Audio Player Frontend for mplayer2
Url:            https://github.com/lachs0r/SMPlayer2
Group:          Productivity/Multimedia/Video/Players
Source:         SMPlayer2-%{rel_ver}.tar.xz
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         smplayer2-mplayer2.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt4-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  quazip-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  zlib-devel
Requires:       mplayer2
# don't build if we don't have mplayer2:
BuildRequires:  mplayer2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SMPlayer2 intends to be a complete front-end for mplayer2, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support for
mplayer2 filters and more.

%lang_package

%prep
%setup -q -n SMPlayer2-%{rel_ver}
%patch1

%build
install -d build
pushd build
export CXXFLAGS="%{optflags}"
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DENABLE_DOWNLOAD_SUBS=TRUE \
    ..

make %{?_smp_mflags} V=1
popd

%install
pushd build
%makeinstall
popd

# Append Qt;KDE; categories in desktop files - fix for #PM-48
for desktop in smplayer2; do
    %suse_update_desktop_file -r "$desktop" Qt KDE AudioVideo Video Player
done

L="$PWD/.lang"
echo -n >"$L"
pushd "%{buildroot}%{_datadir}/smplayer2/translations"
/bin/ls -1d *.qm | while read qm; do
    [ -e "$qm" ] || continue
    l="${qm#*_}"
    l="${l%.qm}"
    echo "%lang($l) %{_datadir}/smplayer2/translations/$qm" >>"$L"
done
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/smplayer2
%{_datadir}/applications/smplayer2.desktop
%{_datadir}/icons/*/*/apps/application-x-smplayer2.*
%dir %{_datadir}/smplayer2
%dir %{_datadir}/smplayer2/translations

%files lang -f .lang
%defattr(-,root,root)

%changelog
* Fri Dec 21 2012 fisiu@opensuse.org
- Update to 0.8.0:
  + Remove superfluous options
  + Update translation
* Wed Oct 17 2012 fisiu@opensuse.org
- Update to 0.7.3 (20121017):
  + Don’t force a subtitle encoding by default
  + Implement basic mpris2 support
  + Remove video preview function
  + Show "None" in subtitle menu when subtitles are invisible
* Wed Oct 17 2012 fisiu@opensuse.org
- Fix #PM-48: remote file need to be cached before playback.
- Fix the bug that video player goes into audio player section
  in kickoff menu.
* Fri Feb 24 2012 pascal.bleser@opensuse.org
- initial version (20120212)
